Show / Hide Table of Contents

# Class WebhookCreateAuditLogData

Contains a piece of audit log data related to a webhook creation.

##### Inheritance

System.Object
WebhookCreateAuditLogData

##### Implements

IAuditLogData

##### Inherited Members

System.Object.ToString()
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()

###### Namespace: Discord.Rest

###### Assembly: Discord.Net.Rest.dll

##### Syntax

    public class WebhookCreateAuditLogData : IAuditLogData

### Properties

| Improve this Doc View Source

#### ChannelId

Gets the ID of the channel that the webhook could send to.

##### Declaration

    public ulong ChannelId { get; }

##### Property Value

Type | Description
--- | ---
System.UInt64 | A System.UInt64 representing the snowflake identifier of the channel that the webhook could send to.

| Improve this Doc View Source

#### Name

Gets the name of the webhook.

##### Declaration

    public string Name { get; }

##### Property Value

Type | Description
--- | ---
System.String | A string containing the name of the webhook.

| Improve this Doc View Source

#### Type

Gets the type of webhook that was created.

##### Declaration

    public WebhookType Type { get; }

##### Property Value

Type | Description
--- | ---
WebhookType | The type of webhook that was created.

| Improve this Doc View Source

#### Webhook

Gets the webhook that was created if it still exists.

##### Declaration

    public IWebhook Webhook { get; }

##### Property Value

Type | Description
--- | ---
IWebhook | A webhook object representing the webhook that was created if it still exists, otherwise returns `null`.

| Improve this Doc View Source

#### WebhookId

Gets the webhook id.

##### Declaration

    public ulong WebhookId { get; }

##### Property Value

Type | Description
--- | ---
System.UInt64 | The webhook identifier.

### Implements

IAuditLogData